package cn.com.ctop.material.controller;

import cn.com.ctop.material.service.IMaterialUploadTaskService;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * 同步素材任务
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-10-21
 */
@Slf4j
@RestController
@RequestMapping("/material/materialUploadTask")
public class MaterialUploadTaskController {
  @Autowired private IMaterialUploadTaskService materialUploadTaskService;

  @ResponseBody
  @GetMapping("/uploadMaterial")
  public JSONObject uploadVideo(String signature) {
    JSONObject returnJson = new JSONObject();
    materialUploadTaskService.upload(signature);
    returnJson.put("code", 0);
    returnJson.put("message", "任务提交成功");
    return returnJson;
  }
}
